继续我的Ubuntu之旅 (1)

自从2008年6月心血来潮用上了Ubuntu, 到现在两年时光飞逝. 开始的时候为个输入法焦头烂额了好久(8.04 LTS), 后来又驱动不起我的稀有华硕声卡, 后来不知什么时候”想通了”回去尝鲜Win7, 过了一年多又换回Ubuntu(原因是机子鬼使神差的装不上Win7了, Win也不会给出详细的Log来供你分析错误)…
8.04到10.04, LTS到LTS的跨越, 升级的也绝不仅仅是版本号. 7秒的开机速度(SSD)和插到别的机子上引导, 驱动全部装好, 都是Win很难达到的优势. 某次驱动起了一块难缠的3G网卡, 事后别人问起却忘记了具体方法, 方觉早应该把这样一些细节记录下来.

以下便是这次用Ubuntu数月以来又学到的一部分”新”东西, 已经单独开文说过的这里也不再赘述了.

先给个目录:
1, terminal显示GBK/GB2312等编码的文本
2, nvidia驱动和开源驱动/mesa之间的恩怨情愁
3, 多语言界面
4, 共享网络给别人用
5, 防御arp攻击

1, terminal显示GBK/GB2312等编码的文本

比如telnet登陆白云黄鹤论坛

显示出满屏幕的菱形里面套问号, 让人不禁内牛满面. 解决方法:

这样就很和谐了~~
此外,xrgsu提示的乱码服务器错误信息,也可以用编码GB2312正常显示. 唯有一点不解,GB2312正常显示,而GBK却乱码…
Continue reading 继续我的Ubuntu之旅 (1)

开启 Teredo 通道, 提前感受 IPv6 (for 非教育网用户)

当初Win7刚要出来时,Felix对其“DirectAccess”功能感到十分向往,从网上找到资料,发现这只是 Teredo 的一个应用。在其他平台上,也一样可以轻易开启 Teredo 从而访问 IPv6 资源。

×××希望各位公网用户不要再使用高校的isatap通道打开ipv6了,教育网的ipv6带宽很有限,而教育网的ipv4却不能出国,因此教育网ipv6是高校学生们获取我朝以外资源最实惠的途径了!×××

Windows XP(SP1+):

Windows Vista/7:

Debian/Ubuntu Linux:

Redhat/Fedora Linux:

Continue reading 开启 Teredo 通道, 提前感受 IPv6 (for 非教育网用户)

在 Ubuntu Lucid 下请回 Sun Java6 Jre, 赶走 OpenJDK

Ubuntu Lucid 将 sun-java6-jre 系列包移出了源,java软件用 openjdk 系列包提供支持。然而在某些软件(比如FreeRapid)的使用中,openjdk还是喜欢出一些莫名其妙的错误(比如栈溢出),因此考虑请回sun-java6-jre。

具体方法很简单,首先添加 Ubuntu Karmic 的multiverse源:

在底部添加

保存退出后

完毕!
Continue reading 在 Ubuntu Lucid 下请回 Sun Java6 Jre, 赶走 OpenJDK

Ubuntu 下 fcitx 小企鹅输入法 相关资料存档

fcitx相关资料存档,包括安装/英文环境处理方法/乱码处理/美化。

一、fcitx安装

1, 卸载scim:

2, 安装fcitx:

3, 设置fcitx为默认输入法:

4, 新建文本文件 /etc/X11/Xsession.d/95fcitx_start:

并粘贴如下内容:

并且赋予执行权限。命令:

重新启动X(按下Ctrl+Alt+Backspace),或者重新启动系统后,小企鹅输入法应该就可以用了。
Continue reading Ubuntu 下 fcitx 小企鹅输入法 相关资料存档

Ubuntu Linux 字体相关——资料存档

此专题仅仅是存档字体相关的一些资料。

一、TTF字体安装

1、准备字体文件,比如simsun.ttc等,复制到自己的文件夹下的某个目录下。
比如,复制到用户的主目录~/ttf中(即/home/用户名/ttf)

2、依次执行如下命令:

3、工作完成:)

二、字体文件存档

1、SimSun 宋体/新宋体(大家都熟悉 效果图就略了)
http://movieinfofetch.googlecode.com/files/simsun.ttc
2、ZhunYuan 准圆
http://movieinfofetch.googlecode.com/files/ZhunYuan.ttf

解决依赖关系,让Debian/Ubuntu下的boa-constructor使用wxgtk2.8

Debian/Ubuntu下的boa-constructor有对python-wxgtk2.6的依赖关系,即使安装了python-wxgtk2.8,boa-constructor仍然只调用2.6版本。Felix通过以下的步骤解决了这个问题(以Ubuntu为例):

1, 首先找到boa-constructor的安装文件,默认位置在 /var/cache/apt/archives/boa-constructor_0.6.1-9ubuntu1_all.deb
使用下面的命令将文件复制到当前目录:

2, 建立文件夹boanew, 为解压deb文件做准备

3, 解压boa-constructor的deb控制文件:

4, 解压程序文件:

Continue reading 解决依赖关系,让Debian/Ubuntu下的boa-constructor使用wxgtk2.8